#include<bits/stdc++.h>
using namespace std;
short lenght[100000];
int n;
int answer=0;
bool zw(short a,short b){
    return (a>b);
}
int main(){
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>lenght[i];
    }
    sort(lenght,lenght+n,zw);
    int j,br;
    int maxbr=0;
    for(int i=0;i<n;i=j+1){
        for(j=i;lenght[j]==lenght[j+1]&&j+1<n;j++){

        }
        br=(j-i)+1;
        if(br>maxbr){
            answer+=((br-maxbr)*lenght[i]);
            maxbr=br;
        }
    }
    cout<<answer;
    return 0;
}
